# $Revision: 1.27 $, $Date: 2012/03/12 13:50:10 $
Summary:	Python module for parted library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki parteda
Name:		python-parted
Version:	3.8
Release:	2
License:	GPL v2+
Group:		Libraries/Python
Source0:	https://fedorahosted.org/releases/p/y/pyparted/pyparted-%{version}.tar.gz
# Source0-md5:	e9cd0c94c71ac17755f71a8e1561eac2
URL:		https://fedorahosted.org/pyparted/
BuildRequires:	parted-devel >= 2.2
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	parted >= 2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module for the parted library. It is used for manipulating
partition tables.

%description -l pl.UTF-8
Moduł Pythona dla biblioteki parted. Służy do modyfikowania tablic
partycji.

%prep
%setup -q -n pyparted-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/_pedmodule.so
%{py_sitedir}/pyparted-%{version}-py*.egg-info
%dir %{py_sitedir}/parted
%{py_sitedir}/parted/*.py[co]

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-parted.spec,v $
Revision 1.27  2012/03/12 13:50:10  arekm
- release 2

Revision 1.26  2011/09/11 07:24:09  qboosh
- dropped obsolete BRs

Revision 1.25  2011/09/11 07:22:30  qboosh
- package TODO

Revision 1.24  2011/08/26 07:08:31  wiget
- up to 3.8

Revision 1.23  2011/03/11 11:02:27  arekm
- release 2

Revision 1.22  2011/02/04 18:59:27  qboosh
- macros for py_postclean

Revision 1.21  2011/02/04 18:57:57  qboosh
- updated to 3.5

Revision 1.20  2011/01/23 22:28:46  sparky
- BR: libtool, pkgconfig

Revision 1.19  2010/11/13 00:20:13  pawelz
- release 4

Revision 1.18  2010/07/08 08:25:56  arekm
- release 3

Revision 1.17  2009/08/29 06:44:50  arekm
- release 2

Revision 1.16  2009/04/02 21:39:36  duddits
- up to 2.0.9
- cleaning

Revision 1.15  2009/03/21 17:57:35  patrys
- 2.0.8

Revision 1.14  2009/03/14 14:55:41  hawk
- release 3

Revision 1.13  2008/10/03 17:55:03  arekm
- release 2

Revision 1.12  2008-05-12 15:18:14  patrys
- proper URL

Revision 1.11  2008-05-07 17:44:49  qboosh
- BR: rpm-pythonprov

Revision 1.10  2007-12-14 14:50:17  patrys
- 1.8.9

Revision 1.9  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.7  2006/05/24 18:30:17  qboosh
- sorted BRs, better Group

Revision 1.6  2006/05/24 16:47:06  ankry
- typo

Revision 1.5  2006/05/24 16:40:02  glen
- update to 1.6.10

Revision 1.4  2005/12/25 20:27:08  qboosh
- use PIC, release 2

Revision 1.3  2005/04/24 13:46:04  qboosh
- cleanup, pl, adjusted deps (relies on dasd and link patches)

Revision 1.2  2005/04/23 22:49:03  patrys
- fixed reqs

Revision 1.1  2005/04/23 22:44:54  patrys
- Initial PLD release
